﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Windows.Forms.Integration;

namespace WinFormsApplication
{
  public partial class WinFromWpfDialog : Form
  {
    public WinFromWpfDialog()
    {
      InitializeComponent();
    }

    private void WinFromWpfDialog_Load(object sender, EventArgs e)
    {
      // Create the ElementHost control for hosting the WPF UserControl
      var host = new ElementHost { Dock = DockStyle.Fill };

      // Create the WPF UserControl
      var uc = new WpfControls.WpfSampleUserControl1();

      // Assign the WPF UserControl to the ElementHost control's Child property.
      host.Child = uc;

      // Add the ElementHost control to the form's collection of child controls.
      Controls.Add(host);
    }
  }
}
